### gstack ¶

    gstack [-h | –help] [-v | –version] pid

Print a stack trace of a running program with process ID pid. If the process is multi-threaded, `gstack` outputs backtraces for every thread which exists in the process.

The script invokes GDB, attaches to the given process ID, prints the stack trace, and detaches from the process.

`gstack` exits with non-zero status if `gdb` was unable to attach to the given process ID for any reason, such as a non-existent process ID or insufficient privileges to attach to the process.

`--help`
`-h`

  List all options, with brief explanations.

`--version`
`-v`

  Print version information and then exit.

`AWK`

  Full file name for an Awk interpreter to use. If not set, `PATH` will be searched for an `awk` program.

`GDB`

  Full file name for a GDB executable to use to generate stack backtraces. If not set, `PATH` will be searched for a `gdb` program.

`GDBARGS`

  Optional arguments to be passed to the `gdb` program.